<template>
<!-- 현재 로그인 계정 아이디인 경우 hidden -->
  <v-btn
    v-if="params.data.accountId != useAuthStore().getAccountId"
    flat 
    class="btn-session-ends" 
    style="height:1.9375rem; width:5.75rem;"
    @click="btnClickedHandler"
  ><i class="icon-wrap"><v-icon icon="mdi-close"/></i>{{ params.value }}</v-btn>
</template>
<script setup>  
  // props
  const props = defineProps({
    params: Object,
  })

  function btnClickedHandler() {
    // 콜백함수
    props.params.clicked(props.params)
  }
</script>